Package net.shibboleth.idp.attribute

# Class XMLObjectAttributeValue

java.lang.Object
net.shibboleth.idp.attribute.XMLObjectAttributeValue

All Implemented Interfaces:
  `Comparable<IdPAttributeValue>`, `IdPAttributeValue`

public final class XMLObjectAttributeValue extends Object implements IdPAttributeValue
A `XMLObjectAttributeValue` value for an `IdPAttribute`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Log.
`private final XMLObject`
`value`
Value of the attribute.

## Constructor Summary

Constructors
Constructor
Description
`XMLObjectAttributeValue(XMLObject attributeValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDisplayValue()`
Get a displayable form of the value for user interfaces and similar purposes.
`Object`
`getNativeValue()`
Get the native representation of the value of this attribute.
`final XMLObject`
`getValue()`
Return the value.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.idp.attribute.IdPAttributeValue

`compareTo`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Log.

### value

@Nonnull private final XMLObject value
Value of the attribute.

## Constructor Details

### XMLObjectAttributeValue

public XMLObjectAttributeValue(@Nonnull @ParameterName(name="attributeValue") XMLObject attributeValue)
Constructor.

Parameters:
  `attributeValue` - value of the attribute

## Method Details

### getNativeValue

@Nonnull public Object getNativeValue()
Get the native representation of the value of this attribute.

Specified by:
  `getNativeValue` in interface `IdPAttributeValue`
Returns:
  the attribute value in native format.

### getValue

@Nonnull public final XMLObject getValue()
Return the value.

Returns:
  the value

### getDisplayValue

@Nonnull @NotEmpty public String getDisplayValue()
Get a displayable form of the value for user interfaces and similar purposes.

Specified by:
  `getDisplayValue` in interface `IdPAttributeValue`
Returns:
  a displayable value

### equals

public boolean equals(@Nullable Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`